<?php
/**
*
* Extension Manager Plus. An extension for the phpBB Forum Software package.
*
* @copyright (c) 2022, LukeWCS, https://www.wcsaga.org
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” … „ “

$lang = array_merge($lang, [
	// settings
	'EXTMGRPLUS_SECTION_SETTINGS'			=> 'Ajustes (Plus)',
	'EXTMGRPLUS_LOG'						=> 'Entrada de registro',
	'EXTMGRPLUS_LOG_EXPLAIN'				=> 'Aquí puede especificar si se debe agregar una entrada al registro del administrador para las acciones “Habilitar seleccionadas” y “Deshabilitar seleccionadas”.',
	'EXTMGRPLUS_CONFIRMATION'				=> 'Confirmación',
	'EXTMGRPLUS_CONFIRMATION_EXPLAIN'		=> 'Aquí puede especificar si las acciones “Habilitar seleccionadas” y “Deshabilitar seleccionadas” deben aparecer y confirmarse.',
	'EXTMGRPLUS_AUTO_REDIRECT'				=> 'Confirmar mensajes automáticamente',
	'EXTMGRPLUS_AUTO_REDIRECT_EXPLAIN'		=> 'Aquí puede especificar si los mensajes positivos deben confirmarse automáticamente. Los mensajes de error aún deben confirmarse manualmente.',
	'EXTMGRPLUS_CHECKBOX_MODE'				=> 'Establecer casillas de verificación',
	'EXTMGRPLUS_CHECKBOX_MODE_EXPLAIN'		=> 'Si selecciona “Establecer todo”, todas las casillas de verificación se configuran automáticamente. Si elige “Recordar el último estado”, el estado de todas las casillas de verificación se guarda cuando se realiza la acción “Habilitar seleccionadas” o “Deshabilitar seleccionadas”. Además, el estado de todas las casillas de verificación también se puede guardar mediante el enlace “%s Guardar”.',
	'EXTMGRPLUS_CHECKBOX_MODE_OFF'			=> 'Apagado',
	'EXTMGRPLUS_CHECKBOX_MODE_ALL'			=> 'Establecer todo',
	'EXTMGRPLUS_CHECKBOX_MODE_LAST'			=> 'Recordar el último estado',
	'EXTMGRPLUS_ORDER_AND_IGNORE'			=> 'Orden e ignorar',
	'EXTMGRPLUS_ORDER_AND_IGNORE_EXPLAIN'	=> 'Si habilita esta opción, la acción “Habilitar seleccionadas” respeta el grupo Orden y las acciones “Habilitar seleccionadas” y “Deshabilitar seleccionadas” respetan la propiedad Ignorar.',
	'EXTMGRPLUS_SELF_DISABLE'				=> 'Permitir la autodesactivación',
	'EXTMGRPLUS_SELF_DISABLE_EXPLAIN'		=> 'Si habilita esta opción, entonces “Extension Manager Plus” también podrá desactivarse en la acción “Deshabilitar seleccionadas” ya que esta extensión luego podrá seleccionarse como cualquier otra.',

	// settings expert
	'EXTMGRPLUS_SECTION_EXPERT_SETTINGS'	=> 'Ajustes expertos',
	'EXTMGRPLUS_MIGRATION_COL'				=> 'Mostrar columna con nuevas migraciones',
	'EXTMGRPLUS_MIGRATION_COL_EXPLAIN'		=> 'Si esta opción está habilitada, se muestra una columna adicional en la que se enumera el número de nuevas migraciones. El número se muestra tanto para “Extensiones deshabilitadas” como para “Extensiones no instaladas”.',
	'EXTMGRPLUS_MIGRATIONS'					=> 'Permitir extensiones con nuevas migraciones',
	'EXTMGRPLUS_MIGRATIONS_EXPLAIN'			=> 'Si esta opción está habilitada, también podrá activar aquellas extensiones para las que haya nuevas migraciones con la acción “Habilitar seleccionadas”. Esto se aplica a las extensiones actualizadas que contienen una carpeta de “migrations”. Sin esta opción, dichas extensiones deben activarse manualmente, lo cual se recomienda.',

	// settings reset
	'EXTMGRPLUS_SECTION_RESET'				=> 'Reiniciar',
	'EXTMGRPLUS_DEFAULTS'					=> 'Reiniciar ajustes',
	'EXTMGRPLUS_DEFAULTS_EXP'				=> 'Restablece todas las configuraciones al estándar de instalación.(No afectan a las columnas “Orden” e “Ignorar”.)',
	'EXTMGRPLUS_BUTTON_DEFAULTS'			=> 'Por defecto',

	// messages
	'EXTMGRPLUS_MSG_CONFIRM_MIGRATIONS'		=> '¿Está seguro de que quiere permitir la activación de extensiones con nuevas migraciones?',
	'EXTMGRPLUS_MSG_SETTINGS_SAVED'			=> 'Ajustes guardados correctamente.',
]);
