<?php
/**
*
* Extension Manager Plus. An extension for the phpBB Forum Software package.
*
* @copyright (c) 2022, LukeWCS, https://www.wcsaga.org
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” … „ “

$lang = array_merge($lang, [
	// settings order and ignore
	'EXTMGRPLUS_SECTION_SETTINGS'			=> 'Ajustes (Plus)',
	'EXTMGRPLUS_ORDER'						=> 'Orden',
	'EXTMGRPLUS_ORDER_EXPLAIN'				=> '%s Esta columna te permite definir grupos de órdenes en el rango de 0 a 99 para la acción “Habilitar lo seleccionado”. Esto permite que las extensiones de las que dependen otras extensiones se activen antes que ellas para evitar mensajes de error. Las extensiones que pertenecen a dicho grupo se activan primero, comenzando con el grupo 0, luego el grupo 1 y así sucesivamente. Las extensiones sin grupo se activan al final.',
	'EXTMGRPLUS_IGNORE'						=> 'Ignorar',
	'EXTMGRPLUS_IGNORE_EXPLAIN'				=> '%s Esta columna te permite especificar qué extensiones deben ignorarse durante las acciones “Habilitar lo seleccionado” y “Deshabilitar lo seleccionado”. Las extensiones ignoradas ya no se pueden seleccionar en la lista de extensiones. Si se definió un grupo de órdenes para una extensión ignorada, se conserva, pero ya no tiene ningún significado.',
	'EXTMGRPLUS_ORDER_AND_IGNORE_SAVE'		=> 'Guardar',

	// info table
	'EXTMGRPLUS_AVAILABLE_EXTENSIONS'		=> 'Extensiones totales',
	'EXTMGRPLUS_LAST_VERSIONCHECK'			=> 'Verificación de la última versión',
	'EXTMGRPLUS_AVAILABLE_UPDATES'			=> 'Actualizaciones disponibles',

	// ext manager
	'EXTMGRPLUS_ALL_DISABLE'				=> 'Deshabilitar lo seleccionado',
	'EXTMGRPLUS_ALL_ENABLE'					=> 'Habilitar lo seleccionado',
	'EXTMGRPLUS_EXTENSIONS_ENABLED'			=> 'Extensiones habilitadas: %u',
	'EXTMGRPLUS_EXTENSIONS_DISABLED'		=> 'Extensiones deshabilitadas: %u',
	'EXTMGRPLUS_EXTENSIONS_NOT_INSTALLED'	=> 'Extensiones no instaladas: %u',

	// tooltips
	'EXTMGRPLUS_TOOLTIP_HAS_MIGRATION'		=> 'Esta extensión tiene nuevas migraciones que se aplican al activar la extensión.',
	'EXTMGRPLUS_TOOLTIP_IS_IGNORED'			=> 'Esta extensión es ignorada por “Extension Manager Plus”.',
	'EXTMGRPLUS_TOOLTIP_BUTTON_DISABLE'		=> 'Deshabilitar todas las extensiones seleccionadas.',
	'EXTMGRPLUS_TOOLTIP_BUTTON_ENABLE'		=> 'Habilitar todas las extensiones seleccionadas.',
	'EXTMGRPLUS_TOOLTIP_ORDER'				=> 'Orden de grupo en el rango 0-99.',
	'EXTMGRPLUS_TOOLTIP_IGNORE'				=> 'Ignorar extensión.',
	'EXTMGRPLUS_TOOLTIP_SELECT_ALL'			=> 'Marcar o desmarcar todas las extensiones.',
	'EXTMGRPLUS_TOOLTIP_SELECT'				=> 'Seleccionar extensión.',

	// columns
	'EXTMGRPLUS_COL_MIGRATIONS'				=> 'Nuevas migraciones',
	'EXTMGRPLUS_COL_SELECT'					=> 'Seleccionar',
	'EXTMGRPLUS_COL_ORDER'					=> 'Orden',
	'EXTMGRPLUS_COL_IGNORE'					=> 'Ignorar',

	// link bar
	'EXTMGRPLUS_LINK_ORDER_AND_IGNORE'		=> 'Orden e Ignorar',
	'EXTMGRPLUS_LINK_SAVE_CHECKBOXES'		=> 'Guardar',

	// misc
	'EXTMGRPLUS_EXTENSION_PLURAL' => [
		0									=> '0 extensiones',
		1									=> '1 extensión',
		2									=> '%u extensiones',
	],

	// messages
	'EXTMGRPLUS_MSG_CONFIRM_DISABLE'		=> '¿Estás seguro de que deseas deshabilitar %s?',
	'EXTMGRPLUS_MSG_CONFIRM_ENABLE'			=> '¿Estás seguro de que deseas habilitar %s?',
	'EXTMGRPLUS_MSG_ORDER_AND_IGNORE_SAVED'	=> 'Columnas de Orden e Ignorar guardadas correctamente.',
	'EXTMGRPLUS_MSG_CHECKBOXES_SAVED'		=> 'Selección de casillas de verificación guardada correctamente.',
	'EXTMGRPLUS_MSG_PROCESS_ABORTED'		=> 'La operación “%s” fue interrumpida por la siguiente extensión:',
	'EXTMGRPLUS_MSG_DEACTIVATION'			=> '%1$u de %2$u extensiones han sido deshabilitadas.',
	'EXTMGRPLUS_MSG_ACTIVATION'				=> '%1$u de %2$u extensiones han sido habilitadas.',
	'EXTMGRPLUS_MSG_ACTIVATION_FAILED'		=> 'No se pudieron activar las siguientes extensiones:',
	'EXTMGRPLUS_MSG_SAFE_TIME_EXCEEDED'		=> 'Se ha superado el rango de tolerancia (%u segundos) del tiempo máximo de ejecución de PHP.',
	'EXTMGRPLUS_MSG_SELF_DISABLE'			=> 'Nota: La extensión “Extension Manager Plus” también estará deshabilitada.',
]);
